//	照度センサー TSL2561 (モジュール名 MH-2561/GY-2561) テスト
//	『昼夜逆転』工作室	http://jsdiy.starfree.jp

#include	<Arduino.h>
#include	<Wire.h>
#include	"TSL2561.hpp"

TSL2561	tsl;

//変数
const	uint8_t	i2cSda = GPIO_NUM_2,	i2cScl = GPIO_NUM_8;

void	setup(void)
{
	Serial.begin(115200);
	Wire.begin(i2cSda, i2cScl);
	tsl.Initialize(EGain::Gain1x, EIntegTime::IntegT101ms);
Serial.println(tsl.DeviceName().c_str());
}

void	loop(void)
{
	uint16_t	waitMSec = tsl.PowerOn();
	uint16_t	lux = tsl.Lux();
	tsl.PowerOff();
Serial.printf("Lux = %d\n", lux);
	delay(1000 - waitMSec);
}
